unit Profs;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Panel2: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Panel3: TPanel;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    ListBox1: TListBox;
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
     procedure werfraus (prf: String);
  end;

var
  Form2: TForm2;

implementation

uses
   inifiles, basis, anschau;

{$R *.DFM}

var
   lbchanged: boolean;

procedure TForm2.Button2Click(Sender: TObject);
begin
   if (sender as tbutton).tag = 2 then 
   begin
      prof := '';
      modalresult := mrcancel;
   end else
   begin
      modalresult := mrok;
      if loadstore = bearbeiten then exit;
      if Not edit1.visible and (listbox1.itemindex > -1) then
         prof := listbox1.items.strings[listbox1.itemindex]
      else if (edit1.text <> '') and (loadstore = speichern) then
      begin
         if lst.indexof(edit1.text) > -1 then
         begin
            showmessage('"'+edit1.text+'" existiert bereits');
            edit1.text := '';
            edit1.hide;
            modalresult := 0;
            exit;
         end else
         if messagedlg ('Profil "'+Edit1.text+'"'#13'wird angelegt',
               mtconfirmation,mbokcancel,0) = mrcancel then 
         begin
            edit1.text := '';
            edit1.hide;
            modalresult := 0;
            exit;
         end;
         listbox1.items.add(edit1.text);
         lst.add(edit1.text);
         prof := edit1.text;
         lbchanged := true;
      end else begin
         showmessage('nicht ausgewhlt');
         modalresult := 0;
         exit;
      end;
   end;
   hide;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
   lbchanged := false;
   button3.hide;
   button4.hide;
   edit1.text := '';
   edit1.hide;
   label2.caption := '';
   with listbox1 do
   begin
      items.clear;
      items.addstrings(lst);
   end;
   case loadstore of
     laden: caption := 'Profil laden';
     speichern: caption := 'Profil speichern'; 
     bearbeiten: caption := 'Profil bearbeiten';
   end;
   if loadstore = speichern then button3.show;
   if loadstore = bearbeiten then button4.show;
   modalresult := mrCancel;
end;

procedure TForm2.ListBox1Click(Sender: TObject);
begin
   if listbox1.itemindex > -1 then
   begin
      label2.caption := listbox1.items.strings[listbox1.itemindex];
      edit1.text := '';
      edit1.hide;
   end;
end;

procedure TForm2.FormHide(Sender: TObject);
begin
   button3.hide;
   button4.hide;
   with listbox1 do
   begin
      items.clear;
   end;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
   { ein neues profil }
   label2.caption := '';
   edit1.text := '';
   edit1.show;
   edit1.setfocus;
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
   prof := '';
   if listbox1.itemindex > -1 then
      prof := listbox1.items.strings[listbox1.itemindex];
   if prof = '' then
   begin
      showmessage('Keine Auswahl getroffen');
      exit;
   end;
   if prof = default then
   begin
      showmessage('Standard kann nicht gelscht werden');
      prof := '';
      exit;
   end;
   werfraus(prof);
end;

procedure TForm2.werfraus (prf: String);
var i: integer;
begin
   if prf = '' then exit;
   try
      ini := tinifile.create(ininame);
      try
         ini.erasesection(prf);
         i := lst.indexof(prf);
         lst.delete(i);
         with listbox1 do
         begin
            items.clear;
            items.addstrings(lst);
         end;
         ini.erasesection('Profile');
         for i := 0 to lst.count-1 do
            ini.writestring('Profile',lst.strings[i],'1');
      except
      end;
   finally
      ini.free
   end;
end;

procedure TForm2.Button5Click(Sender: TObject);
var i: integer;
begin
   prof := '';
   if edit1.visible and (edit1.text <> '') then
   begin
      i := lst.indexof(edit1.text);
      if i > -1 then prof := edit1.text;
   end;
   if (prof = '') and (listbox1.itemindex > -1) then
      prof := listbox1.items.strings[listbox1.itemindex];
   if prof = '' then
   begin
      showmessage('was wolln wir denn anschaun?');
      exit
   end;
   form3.showmodal;
end;

end.
 